Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deIDServer Class Reference

Inheritance diagram for deIDServer:

[legend]
Collaboration diagram for deIDServer:

[legend]
List of all members.

## Public Member Functions
int | Release ()
deID_t | AddData (void *Data)
deBoolean | AddDataWithID (void *Data, deID_t ID)
void * | LookupData (deID_t ID)
deBoolean | RemoveData (deID_t ID, void *Data)
void * | WalkData (deID_t &ID)
deBoolean | DoesRecycle ()
unsigned long int | HighestID ()
## Private Member Functions
| deIDServer (deBoolean RecycleIDs, unsigned long int InitialSize)
| ~deIDServer ()
## Private Attributes
deTArray< void * > | m_DataStore
deTStack< deID_t > | m_Empties
int | m_NumEmpty
deID_t | m_HighestID
deBoolean | m_Recycle
## Friends
IdeIDServer * | IdeIDServer_CreateServer (deBoolean RecycleIDs, int InitialSize)

## Constructor & Destructor Documentation

deIDServer::deIDServer | ( | deBoolean | RecycleIDs,
|  | unsigned long int | InitialSize
| ) | `[private]`

deIDServer::~deIDServer | ( |  | ) | `[private]`

## Member Function Documentation

deID_t deIDServer::AddData | ( | void * | Data | ) | `[virtual]`

| Implements IdeIDServer.

deBoolean deIDServer::AddDataWithID | ( | void * | Data,
|  | deID_t | ID
| ) | `[virtual]`

| Implements IdeIDServer.

deBoolean deIDServer::DoesRecycle | ( |  | ) |

unsigned long int deIDServer::HighestID | ( |  | ) |

void * deIDServer::LookupData | ( | deID_t | ID | ) | `[virtual]`

| Implements IdeIDServer.

int deIDServer::Release | ( |  | ) | `[virtual]`

| Implements IdeIDServer.

deBoolean deIDServer::RemoveData | ( | deID_t | ID,
|  | void * | Data
| ) | `[virtual]`

| Implements IdeIDServer.

void * deIDServer::WalkData | ( | deID_t & | ID | ) | `[virtual]`

| Implements IdeIDServer.

## Friends And Related Function Documentation

IdeIDServer* IdeIDServer_CreateServer | ( | deBoolean | RecycleIDs = (DE_TRUE),
|  | int | InitialSize = 8
| ) | `[friend]`

## Member Data Documentation

deTArray<void*> deIDServer::m_DataStore`[private]`

deTStack<deID_t> deIDServer::m_Empties`[private]`

deID_t deIDServer::m_HighestID`[private]`

int deIDServer::m_NumEmpty`[private]`

deBoolean deIDServer::m_Recycle`[private]`

The documentation for this class was generated from the following file:

- deIDServer.cpp